//
//  Model.swift
//  Notities
//
//  Created by Developer on 31-03-17.
//  Copyright © 2017 iOS Academie. All rights reserved.
//

import Foundation
import CoreData

class Model {
  static let shared = Model()

  var count: Int {
    return 0
  }
  
  func notitie(op index: Int) -> Notitie {
    return Notitie()
  }
  
  // MARK: - Core Data stack
  
  lazy var persistentContainer: NSPersistentContainer = {
    let container = NSPersistentContainer(name: "Notities")
    container.loadPersistentStores(completionHandler: { (storeDescription, error) in
      if let error = error as NSError? {
        fatalError("Unresolved error \(error), \(error.userInfo)")
      }
    })
    return container
  }()
  
  // MARK: - Core Data Saving support
  
  func saveContext () {
    let context = persistentContainer.viewContext
    if context.hasChanges {
      do {
        try context.save()
      } catch {
        let nserror = error as NSError
        fatalError("Unresolved error \(nserror), \(nserror.userInfo)")
      }
    }
  }
  
}
